package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.Area;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 区域对象Mapper接口
 *
 * @author ruoyi
 * @date 2024-11-01
 */
public interface AreaMapper {
    /**
     * 查询区域对象
     *
     * @param id 区域对象主键
     * @return 区域对象
     */
    Area selectAreaById(Long id);

    /**
     * 查询区域对象
     *
     * @param code 区域对象编码
     * @return 区域对象
     */
    Area selectAreaByCode(String code);

    /**
     * 查询区域对象列表
     *
     * @param area 区域对象
     * @return 区域对象集合
     */
    List<Area> selectAreaList(Area area);

    /**
     * 查询区域对象列表
     * @param areaCodes 对象编码
     * @return 区域对象集合
     */
    List<Area> selectByCodes(@Param("set") Set<String> areaCodes);

    /**
     * 查询区域对象列表
     * @param tagCode 标签编码
     * @return 区域对象集合
     */
    List<Area> selectAreaByTag(@Param("tagCode") String tagCode);

    /**
     * 新增区域对象
     *
     * @param area 区域对象
     * @return 结果
     */
    int insertArea(Area area);

    /**
     * 修改区域对象
     *
     * @param area 区域对象
     * @return 结果
     */
    int updateArea(Area area);

    /**
     * 删除区域对象
     *
     * @param id 区域对象主键
     * @return 结果
     */
    int deleteAreaById(Long id);

    /**
     * 批量删除区域对象
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAreaByIds(Long[] ids);
}
